import { observable, action, makeObservable } from 'mobx';
var DataRelation = /** @class */ (function () {
    function DataRelation(data) {
        this.data = observable.array([], { deep: false });
        makeObservable(this, {
            add: action,
            remove: action,
        });
        this.data.replace(data);
    }
    DataRelation.prototype.add = function (d) {
        this.data.push(d);
    };
    DataRelation.prototype.remove = function (index) {
        this.data.splice(index, 1);
    };
    return DataRelation;
}());
export { DataRelation };
